<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8" />
        <meta
            name="viewport"
            content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes"
        />

        <title>dispatch-event-element demo</title>

        <script src="../../webcomponentsjs/webcomponents-loader.js"></script>

        <link rel="import" href="../../iron-demo-helpers/demo-pages-shared-styles.html" />
        <link rel="import" href="../../iron-demo-helpers/demo-snippet.html" />
        <link rel="import" href="../dispatch-event-element.html" />

        <custom-style>
            <style is="custom-style" include="demo-pages-shared-styles"></style>
        </custom-style>
    </head>
    <body>
        <div class="vertical-section-container centered">
            <h3>Basic dispatch-event-element demo</h3>
            <demo-snippet>
                <template>
                    <dispatch-event-element></dispatch-event-element>
                    <script>
                        document
                            .querySelector("dispatch-event-element")
                            .addEventListener("myEvent", (e) => {
                                console.log(e.detail.data, Date.now());
                            });
                    </script>
                </template>
            </demo-snippet>
        </div>
    </body>
</html>
